for seed in 11 22 33 44 55 
do
    for lr in 0.01 
    do
        for h_channels in 25
        do    
            for weight_decay in 1e-4 
            do
                for missing_rate in 0.3
                do
                    for look_window in 20
                    do
                        for forecast_window in 10
                        do
                            for stride_window in 5 
                            do
                                for interpolation in 'natural_cubic'
                                do
                                    
                                    CUDA_VISIBLE_DEVICES=1 python3 -u contgru_google.py --epoch 301 --model 'contgru_aug' --h_channels $h_channels --weight_decay $weight_decay --lr $lr --seed $seed --missing_rate $missing_rate --look_window $look_window --forecast_window $forecast_window --stride_window $stride_window --alpha 0.1 --beta 0.7 >./exp_logs/Google/{$seed}_{$missing_rate}_{$h_channels}_{$weight_decay}_{$lr}_{aug}.csv

                                done
                            done
                        done
                    done
                done
            done
        done
    done
done

